'use strict';const Url=require("url");const App=require("electron").app;const Common=require("../../common");const Authentication=require("./authentication");const Log=require("../lib/ec_log");const ECEvent=require("../lib/ec_event");function Logout(type){this.mAuthType=Common.LOGOUT;this.mLogoutType=type}Logout.prototype=new Authentication;
Logout.prototype.doRequestAuth=function(urlStr,argObj){if(null==urlStr||urlStr.length<=0){Log.debug(this.getLogTag(),"The urlStr is null!");if(typeof gAuthInfo["authUrl"]!="undefined"&&gAuthInfo["authUrl"]!=null)urlStr=gAuthInfo["authUrl"];else this.handleAfterSendLogout()}Log.info(this.getLogTag(),"Starting to logout......");urlStr+=Common.AUTH_LOGOUT_URL+this.getUrlSuffix();Log.debug(Common.LOG_LOGOUT,urlStr);var urlObj=Url.parse(urlStr);var options={hostname:urlObj.hostname,port:urlObj.port,path:urlObj.path,
method:"POST",rejectUnauthorized:false};this.doPostRequest(options,null)};
Logout.prototype.handleAfterSendLogout=function(data){switch(this.mLogoutType){case Common.LOGOUT_START_SERVICE_ERROR:ECEvent.emit(Common.EVENT_START_SERVICE_ERROR_LOGOUT_OK);break;case Common.LOGOUT_USR_LOGOUT:break;case Common.LOGOUT_BE_LOGGEDOUT:ECEvent.emit(Common.EVENT_LOGOUT_BE_LOGGEDOUT_OK);break;case Common.LOGOUT_FORCE_UPDATE:ECEvent.emit(Common.EVENT_FORCE_UPDATE_LOGOUT_OK);break;default:const ECUtil=require("../lib/ec_util");ECUtil.exit(0);break}};Logout.prototype.parseResult=function(){};
Logout.prototype.getLogTag=function(){return Common.LOG_LOGOUT};Logout.prototype.getUrlSuffix=function(){return"?dev\x3d"+gDev+"\x26encrypt\x3d1\x26language\x3d"+gLanguage+"\x26twfid\x3d"+gAuthInfo[Common.AUTHINFO_CURR_TOKEN]};module.exports=Logout;
