'use strict';const Https=require("https");const QueryString=require("querystring");const Url=require("url");const FS=require("fs");const Path=require("path");const Common=require("../../common");const Authentication=require("./authentication");const Log=require("../lib/ec_log");const ECEvent=require("../lib/ec_event");function TokenAuth(){this.mAuthType=Common.TOKEN_AUTH}TokenAuth.prototype=new Authentication;
TokenAuth.prototype.doRequestAuth=function(urlStr,argObj){if(null==urlStr||urlStr.length<=0){Log.warning(this.getLogTag(),"urlStr is null!");if(typeof gAuthInfo["authUrl"]!="undefined"&&gAuthInfo["authUrl"]!=null)urlStr=gAuthInfo["authUrl"];else return}Log.info(this.getLogTag(),"Starting token auth......");if(typeof argObj==="undefined"||argObj==null||!(Common.TOKEN_AUTH_CODE in argObj)){Log.warning(this.getLogTag(),"Have no token code!");return}urlStr+=Common.TOKEN_AUTH_URL+this.getUrlSuffix();Log.debug(this.getLogTag(),
urlStr);var postDataObj={};postDataObj[Common.TOKEN_AUTH_CODE]=argObj[Common.TOKEN_AUTH_CODE];var postData=QueryString.stringify(postDataObj);var urlObj=Url.parse(urlStr);var options={hostname:urlObj.hostname,port:urlObj.port,path:urlObj.path,method:"POST",rejectUnauthorized:false,headers:{"Content-Type":"application/x-www-form-urlencoded","Content-Length":Buffer.byteLength(postData)}};this.doPostRequest(options,postData)};TokenAuth.prototype.getLogTag=function(){return Common.LOG_TOKEN_AUTH_LOG};
module.exports=TokenAuth;
