'use strict';const Https=require("https");const QueryString=require("querystring");const Url=require("url");const FS=require("fs");const Path=require("path");const IPCMain=require("electron").ipcMain;const Common=require("../../common");const Authentication=require("./authentication");const Log=require("../lib/ec_log");const ECEvent=require("../lib/ec_event");function RandCodeAuth(){this.mAuthType=Common.RAND_CODE_AUTH}RandCodeAuth.prototype=new Authentication;
RandCodeAuth.prototype.doRequestAuth=function(urlStr){if(null==urlStr||urlStr.length<=0){Log.warning(this.getLogTag(),"urlStr is null!");if(typeof gAuthInfo["authUrl"]!="undefined"&&gAuthInfo["authUrl"]!=null)urlStr=gAuthInfo["authUrl"];else return}Log.info(this.getLogTag(),"Starting random code auth......");urlStr+=Common.RAND_CODE_URL+this.getUrlSuffix();Log.debug(this.getLogTag(),urlStr);var urlObj=Url.parse(urlStr);const options={hostname:urlObj.hostname,port:urlObj.port,path:urlObj.path,method:"POST",
rejectUnauthorized:false};this.doPostRequest(options)};
RandCodeAuth.prototype.parseResult=function(resStr){FS.writeFile(Common.RAND_CODE_PATH,resStr,(err)=>{if(err){Log.error(this.getLogTag(),"Fail to save the rand_code.gif!");return}Log.debug(this.getLogTag(),Common.RAND_CODE_PATH);Log.info(this.getLogTag(),"The rand_code.gif was saved succeffully!");var webCont=null;if(gECWindow!=null&&!gIsExited)webCont=gECWindow.getWebContents();if(typeof webCont!=="undefined"&&webCont!=null){Log.debug(this.getLogTag(),"Sending ipc_main_event: "+"get_rand_code_ok");
if(webCont!=null)webCont.send(Common.EVENT_MAIN_GET_RAND_CODE_OK)}else Log.debug(this.getLogTag(),"gECWindow.webContents is null")})};RandCodeAuth.prototype.getLogTag=function(){return Common.LOG_RAND_CODE_AUTH_TAG};module.exports=RandCodeAuth;
